Bug 242325 - net/dpdk: update 18.05.1 -> 19.11
Summary: net/dpdk: update 18.05.1 -> 19.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-30 14:02 UTC by Bruce Richardson
Modified: 2019-12-03 20:56 UTC (History)
1 user (show)

See Also:


Attachments
patch to update port to v19.11 (81.82 KB, patch)
2019-11-30 14:02 UTC, Bruce Richardson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Richardson 2019-11-30 14:02:37 UTC
Created attachment 209555 [details]
patch to update port to v19.11

Updating DPDK to 19.11 released just last week.

As part of the update the build system was changed from using make to meson/ninja, which simplifies large parts of the port makefile, and will be the build system for DPDK going forward.
Comment 1 Kurt Jaeger freebsd_committer 2019-11-30 20:00:52 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2019-11-30 20:55:16 UTC
Should 'make test' work ?
Comment 3 Bruce Richardson 2019-12-02 11:46:18 UTC
(In reply to Kurt Jaeger from comment #2)

The autotest binary is not built by default in the port, but if enables unit tests will run if you do "make test". Unfortunately, these are not as stable as they probably should be (both on Linux and FreeBSD), so I'd expect quite a number of failures if they were all to run.
Comment 4 Kurt Jaeger freebsd_committer 2019-12-03 20:55:20 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-12-03 20:56:04 UTC
A commit references this bug:

Author: pi
Date: Tue Dec  3 20:55:17 UTC 2019
New revision: 518967
URL: https://svnweb.freebsd.org/changeset/ports/518967

Log:
  net/dpdk: upgrade 18.05.1 -> 19.11

  - As part of the update the build system was changed from using
    make to meson/ninja, which simplifies large parts of the port
    makefile, and will be the build system for DPDK going forward.

  PR:		242325
  Submitted by:	Bruce Richardson <bruce.richardson@intel.com> (maintainer)
  Relnotes:	http://doc.dpdk.org/guides/rel_notes/release_19_11.html
  		https://www.dpdk.org/blog/2019/11/29/dpdk-19-08-is-now-available-biggest-release-of-2019-2/

Changes:
  head/net/dpdk/Makefile
  head/net/dpdk/distinfo
  head/net/dpdk/files/
  head/net/dpdk/pkg-plist